generic-lens-2.2.2.0: Generically derive traversals, lenses and prisms.

Copyright | (C) 2020 Csongor Kiss
License | BSD3
Maintainer | Csongor Kiss <kiss.csongor.kiss@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Generics.Product.HList

Description

Derive an isomorphism between a product type and a flat HList.

# Documentation

class IsList (f :: Type) (g :: Type) (as :: [Type]) (bs :: [Type]) | f -> as, g -> bs where Source #

Methods

list :: Iso f g (HList as) (HList bs) Source #

#### Instances

Instances details

(Generic f, Generic g, GIsList (Rep f) (Rep g) as bs) => IsList f g as bs Source # |
Instance details Defined in Data.Generics.Product.HList Methods list :: Iso f g (HList as) (HList bs) Source #